| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TypeIdentifierWithDependencies Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure TypeIdentifierWithDependencies defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | TypeIdentifierWithDependencies ()
| Default constructor.
eProsima_user_DllExport | ~TypeIdentifierWithDependencies ()
| Default destructor.
eProsima_user_DllExport | TypeIdentifierWithDependencies (const TypeIdentifierWithDependencies &x)
| Copy constructor.
eProsima_user_DllExport | TypeIdentifierWithDependencies (TypeIdentifierWithDependencies &&x) noexcept
| Move constructor.
eProsima_user_DllExport TypeIdentifierWithDependencies & | operator= (const TypeIdentifierWithDependencies &x)
| Copy assignment.
eProsima_user_DllExport TypeIdentifierWithDependencies & | operator= (TypeIdentifierWithDependencies &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const TypeIdentifierWithDependencies &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const TypeIdentifierWithDependencies &x) const
| Comparison operator.
eProsima_user_DllExport void | typeid_with_size (const TypeIdentfierWithSize &_typeid_with_size)
| This function copies the value in member typeid_with_size.
eProsima_user_DllExport void | typeid_with_size (TypeIdentfierWithSize &&_typeid_with_size)
| This function moves the value in member typeid_with_size.
eProsima_user_DllExport const TypeIdentfierWithSize & | typeid_with_size () const
| This function returns a constant reference to member typeid_with_size.
eProsima_user_DllExport TypeIdentfierWithSize & | typeid_with_size ()
| This function returns a reference to member typeid_with_size.
eProsima_user_DllExport void | dependent_typeid_count (int32_t _dependent_typeid_count)
| This function sets a value in member dependent_typeid_count.
eProsima_user_DllExport int32_t | dependent_typeid_count () const
| This function returns the value of member dependent_typeid_count.
eProsima_user_DllExport int32_t & | dependent_typeid_count ()
| This function returns a reference to member dependent_typeid_count.
eProsima_user_DllExport void | dependent_typeids (const std::vector< TypeIdentfierWithSize > &_dependent_typeids)
| This function copies the value in member dependent_typeids.
eProsima_user_DllExport void | dependent_typeids (std::vector< TypeIdentfierWithSize > &&_dependent_typeids)
| This function moves the value in member dependent_typeids.
eProsima_user_DllExport const std::vector< TypeIdentfierWithSize > & | dependent_typeids () const
| This function returns a constant reference to member dependent_typeids.
eProsima_user_DllExport std::vector< TypeIdentfierWithSize > & | dependent_typeids ()
| This function returns a reference to member dependent_typeids.

## Detailed Description

This class represents the structure TypeIdentifierWithDependencies defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ TypeIdentifierWithDependencies() [1/3]

eProsima_user_DllExport TypeIdentifierWithDependencies | ( |  | ) |

inline

Default constructor.

## ◆ ~TypeIdentifierWithDependencies()

eProsima_user_DllExport ~TypeIdentifierWithDependencies | ( |  | ) |

inline

Default destructor.

## ◆ TypeIdentifierWithDependencies() [2/3]

eProsima_user_DllExport TypeIdentifierWithDependencies | ( | const TypeIdentifierWithDependencies & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object TypeIdentifierWithDependencies that will be copied.

## ◆ TypeIdentifierWithDependencies() [3/3]

eProsima_user_DllExport TypeIdentifierWithDependencies | ( | TypeIdentifierWithDependencies && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object TypeIdentifierWithDependencies that will be copied.

## Member Function Documentation

## ◆ dependent_typeid_count() [1/3]

eProsima_user_DllExport int32_t & dependent_typeid_count | ( |  | ) |

inline

This function returns a reference to member dependent_typeid_count.

Returns
  Reference to member dependent_typeid_count

## ◆ dependent_typeid_count() [2/3]

eProsima_user_DllExport int32_t dependent_typeid_count | ( |  | ) | const

inline

This function returns the value of member dependent_typeid_count.

Returns
  Value of member dependent_typeid_count

## ◆ dependent_typeid_count() [3/3]

eProsima_user_DllExport void dependent_typeid_count | ( | int32_t | _dependent_typeid_count | ) |

inline

This function sets a value in member dependent_typeid_count.

Parameters

  _dependent_typeid_count | New value for member dependent_typeid_count

## ◆ dependent_typeids() [1/4]

eProsima_user_DllExport std::vector< TypeIdentfierWithSize > & dependent_typeids | ( |  | ) |

inline

This function returns a reference to member dependent_typeids.

Returns
  Reference to member dependent_typeids

## ◆ dependent_typeids() [2/4]

eProsima_user_DllExport const std::vector< TypeIdentfierWithSize > & dependent_typeids | ( |  | ) | const

inline

This function returns a constant reference to member dependent_typeids.

Returns
  Constant reference to member dependent_typeids

## ◆ dependent_typeids() [3/4]

eProsima_user_DllExport void dependent_typeids | ( | const std::vector< TypeIdentfierWithSize > & | _dependent_typeids | ) |

inline

This function copies the value in member dependent_typeids.

Parameters

  _dependent_typeids | New value to be copied in member dependent_typeids

## ◆ dependent_typeids() [4/4]

eProsima_user_DllExport void dependent_typeids | ( | std::vector< TypeIdentfierWithSize > && | _dependent_typeids | ) |

inline

This function moves the value in member dependent_typeids.

Parameters

  _dependent_typeids | New value to be moved in member dependent_typeids

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const TypeIdentifierWithDependencies & | x | ) | const

inline

Comparison operator.

Parameters

  x | TypeIdentifierWithDependencies object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport TypeIdentifierWithDependencies & operator= | ( | const TypeIdentifierWithDependencies & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object TypeIdentifierWithDependencies that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport TypeIdentifierWithDependencies & operator= | ( | TypeIdentifierWithDependencies && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object TypeIdentifierWithDependencies that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const TypeIdentifierWithDependencies & | x | ) | const

inline

Comparison operator.

Parameters

  x | TypeIdentifierWithDependencies object to compare.

## ◆ typeid_with_size() [1/4]

eProsima_user_DllExport TypeIdentfierWithSize & typeid_with_size | ( |  | ) |

inline

This function returns a reference to member typeid_with_size.

Returns
  Reference to member typeid_with_size

## ◆ typeid_with_size() [2/4]

eProsima_user_DllExport const TypeIdentfierWithSize & typeid_with_size | ( |  | ) | const

inline

This function returns a constant reference to member typeid_with_size.

Returns
  Constant reference to member typeid_with_size

## ◆ typeid_with_size() [3/4]

eProsima_user_DllExport void typeid_with_size | ( | const TypeIdentfierWithSize & | _typeid_with_size | ) |

inline

This function copies the value in member typeid_with_size.

Parameters

  _typeid_with_size | New value to be copied in member typeid_with_size

## ◆ typeid_with_size() [4/4]

eProsima_user_DllExport void typeid_with_size | ( | TypeIdentfierWithSize && | _typeid_with_size | ) |

inline

This function moves the value in member typeid_with_size.

Parameters

  _typeid_with_size | New value to be moved in member typeid_with_size

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp